<link rel="stylesheet" href="../../../css/enlargeImage.css" />

# Groups management

<span style="color:red">First, make sure that you are an admin</span>

## What is a group ?

Group enables access to one or more scopes. Group in OpTISAM context is logical grouping of 2 or more scopes. Each user belong to one or more groups. Group provides mechanism to have a user linked with multiple scopes. A user can see the park linked to all the scopes of its groups.

## Access

You can access to "Groups Management" by clicking here :

![select APM](../../img/groupsMana/accessu.jpg){: .zoom}

## Presentation

The presentation tree is : 

![select APM](../../img/groupsMana/presentationu.jpg){: .zoom}

You see can all the groups as :  
1. "ROOT" : Group that represents the whole OpTISAM application  
2. "ax", "France", "Spain", etc : Represents all the groups  
3. "regression", etc : Represents the subgroups within the groups  

## Possibilities

You can do 4 things from there :  
- <span style="color:red">Manage the users of an existing group</span> ([here](#manage-the-users-of-an-existing-group))  
- <span style="color:green">See the scopes that an existing group can access </span> ([here](#see-the-scopes-that-an-existing-group-can-access))  
- <span style="color:blue">Create a new group</span> ([here](#create-a-new-group))  
- <span style="color:yellow">Edit the name of an existing group</span> ([here](#edit-the-name-of-an-existing-group))  

![select APM](../../img/groupsMana/possibilitiesu.jpg){: .zoom}

## Manage the users of an existing group

You have to click here to manage the users of the group on the line (e.g : Group "Test") : 

![select APM](../../img/groupsMana/manage1.jpg){: .zoom}

This screen will be shown : 

![select APM](../../img/groupsMana/manage2.jpg){: .zoom}

Here, you can :

1. Search for users in the below list  
2. Select a user from another group to add it to the group  
3. Click here to add a user that you would have selected in the list of the arrow 2  
4. Delete a user from the group that you would have selected from the below list  
5. Select a user to delete by clicking on the button of the arrow 4  


## See the scopes that an existing group can access 

You have to mouse-over at this place (1), and the list will show as on the screenshot below :  

![select APM](../../img/groupsMana/see1.jpg){: .zoom}

## Create a new group

You have to click on the + button in front of the group that you want to create a group in (e.g : create a group in "France" group) : 

![select APM](../../img/groupsMana/create1.jpg){: .zoom}

This screen will be shown : 

![select APM](../../img/groupsMana/create2.jpg){: .zoom}

You have to fill in the fields :  
1. Name : The name of the group you want to create  
2. Scope : Select the scopes that you want this group to be able to see (it will only offer the scopes available in the group you're creating your new group)

Then you have to click on "Create" to create the new group.

## Edit the name of an existing group

Tou have to click on the pen button in front of the group that you want to edit the name :  

![select APM](../../img/groupsMana/edit1.jpg){: .zoom}

This screen will be shown : 

![select APM](../../img/groupsMana/edit2.jpg){: .zoom}

You can write the new name that you want and click on "Update" to edit the name of the group.

<script src="../../../js/zoomImage.js"></script>